Manage orders - Get a list of Skus (by country)
Retrieves all skus for the given product id.
GET https://api.partnercenter.microsoft.com/v{version}/products/{productId}/skus
GET https://api.partnercenter.microsoft.com/v{version}/products/{productId}/skus?country={country}&targetSegment={targetSegment}&reservationScope={reservationScope}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
product
|
path | True |
string |
The product id. |
|
version
|
path | True |
string |
|
|
country
|
query |
string |
The country information. Two letter representation of country |
|
|
reservation
|
query |
string |
The optional reservation scope filter. |
|
|
target
|
query |
string |
The optional segment filter. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The skus are returned in the response body. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
Contracts.V1.Models.Sku
| Name | Type | Description |
|---|---|---|
| actions |
string[] |
|
| attestationProperties | ||
| consumptionType |
string |
|
| description |
string |
|
| dynamicAttributes |
object |
|
| id |
string |
|
| inventoryVariables |
string[] |
|
| isTrial |
boolean |
|
| links | ||
| maximumQuantity |
integer (int32) |
|
| minimumQuantity |
integer (int32) |
|
| productId |
string |
|
| provisioningVariables |
string[] |
|
| purchasePrerequisites |
string[] |
|
| supportedBillingCycles |
Supported |
|
| termsOfUseUri |
string |
|
| title |
string |
Contracts.V1.Models.SkuAttestationProperties
| Name | Type | Description |
|---|---|---|
| attestationType |
string |
|
| enforceAttestation |
boolean |
Link
| Name | Type | Description |
|---|---|---|
| body |
string |
|
| headers |
System. |
|
| method |
string |
|
| uri |
string |
ResourceAttributes
| Name | Type | Description |
|---|---|---|
| etag |
string |
|
| objectType |
string |
ResourceCollection[Contracts.V1.Models.Sku]
| Name | Type | Description |
|---|---|---|
| attributes | ||
| items | ||
| links | ||
| totalCount |
integer (int32) |
ResourceLinks
| Name | Type | Description |
|---|---|---|
| next | ||
| previous | ||
| self |
SupportedBillingCycles
| Value | Description |
|---|---|
| unknown | |
| monthly | |
| annual | |
| none | |
| one_time | |
| triennial |
System.Collections.Generic.KeyValuePair[System.String,System.String]
| Name | Type | Description |
|---|---|---|
| key |
string |
|
| value |
string |